# Get org's role groups

Retrieves all role groups that were added to the organization for a specific application. Roles that belong to these role groups can be assigned to members of the organization to control their access to the application. Required permissions: organizations:read, orgs:read.

Endpoint: GET /v1/applications/{app_id}/organizations/{organization_id}/role-groups
Security: AdminAccessToken

## Path parameters:

  - `app_id` (string, required)
    ID of the application to assign the roles to

  - `organization_id` (string, required)
    ID of the organization to assign the roles to

## Response 200 fields (application/json):

  - `result` (object, required)

  - `result.role_groups` (array, required)
    Role groups

  - `result.role_groups.group_id` (string, required)
    Group ID

  - `result.role_groups.name` (string, required)
    Group name

  - `result.role_groups.description` (string)
    Group description

  - `result.role_groups.roles` (array, required)
    Group's roles

  - `result.role_groups.roles.role_id` (string, required)
    Role ID

  - `result.role_groups.roles.role_name` (string, required)
    Role name

  - `result.role_groups.roles.permissions` (array)
    Role permissions

  - `result.role_groups.roles.app_id` (string)
    Role's app id

  - `result.role_groups.roles.description` (string)
    Role's description

  - `result.role_groups.roles.display_name` (string)
    Role's display name

  - `result.role_groups.display_name` (string)
    Role group's display name

  - `result.default_organization_roles` (array, required)
    Default organization roles

  - `result.default_organization_roles.role_id` (string, required)
    Role ID

  - `result.default_organization_roles.role_name` (string, required)
    Role name

  - `result.default_organization_roles.permissions` (array)
    Role permissions

  - `result.default_organization_roles.app_id` (string)
    Role's app id

  - `result.default_organization_roles.description` (string)
    Role's description

  - `result.default_organization_roles.display_name` (string)
    Role's display name


